> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# update product by id



## OpenAPI

````yaml https://integration.teceo.co/aos patch /v1/products/{productId}
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/products/{productId}:
    patch:
      tags:
        - 'Products:'
      summary: update product by id
      operationId: ProductsController_patchProductById_v1
      parameters:
        - name: productId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchProductDataDTO'
      responses:
        '200':
          description: update product by id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageResponseDTO'
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
        '404':
          description: >-
            client error response code indicates that the server can't find the
            requested resource
      security:
        - ApiKey: []
components:
  schemas:
    PatchProductDataDTO:
      type: object
      properties:
        product:
          $ref: '#/components/schemas/PatchProductDTO'
      required:
        - product
    MessageResponseDTO:
      type: object
      properties:
        message:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
      required:
        - message
    PatchProductDTO:
      type: object
      properties:
        code:
          type: string
        referenceCode:
          type: string
        name:
          type: string
        active:
          type: boolean
        description:
          type: string
        resume:
          type: string
        collectionId:
          type: string
        categoryId:
          type: string
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````